## net.sf.saxon.javax.xml.xquery
Class XQStackTraceElement

    java.lang.Object
      net.sf.saxon.javax.xml.xquery.XQStackTraceElement

All Implemented Interfaces:
  Serializable

    public class XQStackTraceElement

extends Object
implements Serializable

XQJ interfaces reconstructed from version 0.5 documentation

See Also:
  Serialized Form

Constructor Summary
`XQStackTraceElement(String moduleURI, int lineNumber, int position, QName function, XQStackTraceVariable[] variables)`

Method Summary
`QName` `getFunctionQName()`
`int` `getLineNumber()`
`String` `getModuleURI()`
`int` `getPosition()`
`XQStackTraceVariable[]` `getVariables()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQStackTraceElement

    public XQStackTraceElement(String moduleURI,
                               int lineNumber,
                               int position,
                               QName function,
                               XQStackTraceVariable[] variables)

Method Detail

### getFunctionQName

    public QName getFunctionQName()

### getLineNumber

    public int getLineNumber()

### getModuleURI

    public String getModuleURI()

### getPosition

    public int getPosition()

### getVariables

    public XQStackTraceVariable[] getVariables()

Copyright (C) Michael H. Kay. All rights reserved.